Se encuentra usted aquí

Condicional Comments para explorer

Si alguna vez han tenido que hacer funciona un thema en algo tan viejo como explorer 5, 6 o hasta 7 te abras dado cuenta de lo difícil y diferente que se comporta el CSS en estos viejísimos navegadores, la mejor opción y la más rápida es usa un modulo que saca un mensaje indicando a quien entra desde un navegador tan antiguo que descargue una versión más nueva.

Ese modulo se llama IE 6 Update

http://drupal.org/project/ie6update

El problema es que en algunos proyectos no es posible olvidarse del asunto y se requiere resolver los problemas que dan estos navegadores para esto existe un texto de ayuda en Drupal.org que da varias opciones de como trabajar con estos navegadores:

http://drupal.org/node/134569

De las varias opciones de modulos y técnicas que muestran la que parece funcionar mejor y más rapidamente es la del modulo Conditional-CSS Integration

http://drupal.org/project/conditional_css

Su uso es muy sencillo se instala y activa con dos pasos, primero bajando y colocando en la carpeta sites/all/libraries el programa
http://vmirgorod.name/content/conditional-css-library

Después se coloca y activa el modulo en su lugar tradicional en sites/all/themes

después en las hojas de estilo ya se pueden colocar reglas especificas para explorer como son:

[if lte IE 7.0] padding:0;
[if IE 5.0] margin-top: -1px; 

De esta manera lo que se ponga después de [if IE 5.0] solo funcionara en explorer 5 y se podrá tener una regla más general para navegadores más nuevos y unas más especificas para un grupo de navegadores viejos.

Para saber como se escriben las reglas para diferentes navegadores esta esta liga:

http://conditional-css.com/usage

Versión: 

Añadir nuevo comentario